org.apache.jmeter.protocol.http.sampler

## Class HTTPHCAbstractImpl

- java.lang.Object
- - org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl
  - - org.apache.jmeter.protocol.http.sampler.HTTPHCAbstractImpl

- All Implemented Interfaces:
    HTTPConstantsInterface, Interruptible
  Direct Known Subclasses:
    HTTPHC4Impl

      public abstract class HTTPHCAbstractImpl
      extends HTTPAbstractImpl

  Common parent class for HttpClient implementations. Includes system property settings that are handled internally by the Java HTTP implementation, but which need to be explicitly configured in HttpClient implementations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static int` | `CPS_HTTP`
    `protected static int` | `CPS_HTTPS`
    `protected static java.lang.String` | `HTTP_VERSION`
    `protected static java.net.InetAddress` | `localAddress`
    `protected static java.lang.String` | `LOCALHOST`
    `protected static int` | `NON_PROXY_HOST_SUFFIX_SIZE`
    `protected static java.lang.String` | `NONPROXY_HOSTS`
    `protected static java.util.Set<java.lang.String>` | `nonProxyHostFull`
    `protected static java.util.List<java.lang.String>` | `nonProxyHostSuffix`
    `protected static boolean` | `PROXY_DEFINED`
    `protected static java.lang.String` | `PROXY_DOMAIN`
    `protected static java.lang.String` | `PROXY_HOST`
    `protected static java.lang.String` | `PROXY_PASS`
    `protected static int` | `PROXY_PORT`
    `protected static java.lang.String` | `PROXY_USER`
    `protected static int` | `SO_TIMEOUT`
    `protected static boolean` | `USE_CACHED_SSL_CONTEXT`
    `protected static boolean` | `USE_LOOPBACK`

    - ### Fields inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl

      `ALL_EXCEPT_COOKIE, ONLY_COOKIE, testElement`

    - ### Fields inherited from interface org.apache.jmeter.protocol.http.util.HTTPConstantsInterface

      `APPLICATION_X_WWW_FORM_URLENCODED, CACHE_CONTROL, CONNECT, CONNECTION_CLOSE, COPY, DATE, DEFAULT_HTTP_PORT, DEFAULT_HTTP_PORT_STRING, DEFAULT_HTTPS_PORT, DEFAULT_HTTPS_PORT_STRING, DELETE, ENCODING_BROTLI, ENCODING_DEFLATE, ENCODING_GZIP, ETAG, EXPIRES, GET, HEAD, HEADER_AUTHORIZATION, HEADER_CONNECTION, HEADER_CONTENT_DISPOSITION, HEADER_CONTENT_ENCODING, HEADER_CONTENT_LENGTH, HEADER_CONTENT_TYPE, HEADER_COOKIE, HEADER_COOKIE_IN_REQUEST, HEADER_HOST, HEADER_LOCAL_ADDRESS, HEADER_LOCATION, HEADER_SET_COOKIE, HTTP_1_1, IF_MODIFIED_SINCE, IF_NONE_MATCH, KEEP_ALIVE, LAST_MODIFIED, LOCK, MKCALENDAR, MKCOL, MOVE, MULTIPART_FORM_DATA, OPTIONS, PATCH, POST, PROPFIND, PROPPATCH, PROTOCOL_HTTP, PROTOCOL_HTTPS, PUT, REPORT, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_SEE_OTHER, SC_TEMPORARY_REDIRECT, SEARCH, TRACE, TRANSFER_ENCODING, UNLOCK, VARY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HTTPHCAbstractImpl(HTTPSamplerBase testElement)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isDynamicProxy(java.lang.String proxyHost, int proxyPort)` Is a dynamic proxy defined?
    `protected static boolean` | `isNonProxy(java.lang.String host)`
    `protected static boolean` | `isNullOrEmptyTrimmed(java.lang.String value)`
    `protected static boolean` | `isPartialMatch(java.lang.String host)`
    `protected static boolean` | `isStaticProxy(java.lang.String host)` Is a static proxy defined?

    - ### Methods inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl

      `errorResult, getArguments, getAuthManager, getAutoRedirects, getCacheManager, getConnectTimeout, getContentEncoding, getCookieManager, getDoBrowserCompatibleMultipart, getHeaderManager, getHTTPFiles, getIpSource, getIpSourceAddress, getProxyHost, getProxyPass, getProxyPortInt, getProxyUser, getResponseTimeout, getSendFileAsPostBody, getSendParameterValuesAsPostBody, getUseKeepAlive, getUseMultipartForPost, hasArguments, isMonitor, isSuccessCode, notifyFirstSampleAfterLoopRestart, notifySSLContextWasReset, readResponse, readResponse, readResponse, readResponse, resultProcessing, sample, setUseKeepAlive, threadFinished, updateSampleResultForResourceInCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.samplers.Interruptible

      `interrupt`

- - ### Field Detail

    - #### PROXY_HOST

          protected static final java.lang.String PROXY_HOST

    - #### NONPROXY_HOSTS

          protected static final java.lang.String NONPROXY_HOSTS

    - #### PROXY_PORT

          protected static final int PROXY_PORT

    - #### PROXY_DEFINED

          protected static final boolean PROXY_DEFINED

    - #### PROXY_USER

          protected static final java.lang.String PROXY_USER

    - #### PROXY_PASS

          protected static final java.lang.String PROXY_PASS

    - #### PROXY_DOMAIN

          protected static final java.lang.String PROXY_DOMAIN

    - #### localAddress

          protected static final java.net.InetAddress localAddress

    - #### LOCALHOST

          protected static final java.lang.String LOCALHOST

    - #### nonProxyHostFull

          protected static final java.util.Set<java.lang.String> nonProxyHostFull

    - #### nonProxyHostSuffix

          protected static final java.util.List<java.lang.String> nonProxyHostSuffix

    - #### NON_PROXY_HOST_SUFFIX_SIZE

          protected static final int NON_PROXY_HOST_SUFFIX_SIZE

    - #### CPS_HTTP

          protected static final int CPS_HTTP

    - #### CPS_HTTPS

          protected static final int CPS_HTTPS

    - #### USE_LOOPBACK

          protected static final boolean USE_LOOPBACK

    - #### HTTP_VERSION

          protected static final java.lang.String HTTP_VERSION

    - #### SO_TIMEOUT

          protected static final int SO_TIMEOUT

    - #### USE_CACHED_SSL_CONTEXT

          protected static final boolean USE_CACHED_SSL_CONTEXT

  - ### Constructor Detail

    - #### HTTPHCAbstractImpl

          protected HTTPHCAbstractImpl(HTTPSamplerBase testElement)

  - ### Method Detail

    - #### isNonProxy

          protected static boolean isNonProxy(java.lang.String host)

    - #### isPartialMatch

          protected static boolean isPartialMatch(java.lang.String host)

    - #### isDynamicProxy

          protected boolean isDynamicProxy(java.lang.String proxyHost,
                                           int proxyPort)

      Is a dynamic proxy defined?
      Parameters:
        `proxyHost` - the host to check
        `proxyPort` - the port to check
      Returns:
        `true` iff both ProxyPort and ProxyHost are defined.

    - #### isStaticProxy

          protected static boolean isStaticProxy(java.lang.String host)

      Is a static proxy defined?
      Parameters:
        `host` - to check against non-proxy hosts
      Returns:
        `true` iff a static proxy has been defined.

    - #### isNullOrEmptyTrimmed

          protected static boolean isNullOrEmptyTrimmed(java.lang.String value)

      Parameters:
        `value` - String value to test
      Returns:
        true if value is null or empty trimmed

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.